# Enhanced APIs and webhooks

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Changed

-   New `cc_queue_id` response field in these **Logs** APIs:
    -   `GET /v2/contact_center/voice_calls`
    -   `GET /v2/accounts/{accountId}/contact_center/voice_calls`
    -   `GET /v2/accounts/{accountId}/contact_center/sms`
    -   `GET /v2/contact_center/sms`
-   New `cc_queue_id` response field in these **Recordings** APIs:
    -   `GET /v2/contact_center/recordings`
    -   `GET /v2/contact_center/queues/{queueId}/recordings`
    -   `GET /v2/contact_center/engagements/{engagementId}/recordings`
    -   `GET /v2/contact_center/users/{userId}/recordings`
-   New `cc_queue_id` response field in these **Reports** APIs:
    -   `GET /v2/contact_center/analytics/historical/details/metrics`
    -   `GET /v2/contact_center/analytics/historical/queues/metrics`
-   New `page_size` request field in these **Queues** API:
    -   `GET /v2/contact_center/queues`
-   New `channel`, `cc_queue_id` response fields in these **Queues** APIs:
    -   `POST /v2/contact_center/queues`
    -   `GET /v2/contact_center/queues/{queueId}`
    -   `GET /v2/contact_center/queues`
-   New `cc_queue_id` response field in these **Engagements** APIs:
    -   `GET /v2/contact_center/engagements/{engagementId}`
    -   `GET /v2/contact_center/engagements/{engagementId}`
-   New `transfer_to_cc_queue_id` response field in this **Engagements** API:
    -   `GET /v2/contact_center/engagements/{engagementId}`
-   New `cci_queue_id`, `page_size` response fields in this **Inboxes** API:
    -   `GET /v2/contact_center/inboxes/messages`
-   New `overflow_to_cc_queue_id` request field in this **Queues** API:
    -   `PATCH /v2/contact_center/queues/{queueId}`
-   New `cc_queue_id` response field in this **Inboxes** API:
    -   `GET /v2/contact_center/inboxes/{inboxId}/queues`
-   New `cc_queue_id` response field in this **Dispositions** API:
    -   `GET /v2/contact_center/dispositions/sets/{dispositionSetId}`
-   New `number_types` request field in these **Logs** APIs:
    -   `GET /v2/contact_center/voice_calls`
    -   `GET /v2/accounts/{accountId}/contact_center/voice_calls`
-   New `cc_queue_id` response field in these **Operating Hours** APIs:
    -   `GET /v2/contact_center/business_hours/{businessHourId}/queues`
    -   `GET /v2/contact_center/closures/{closureSetId}/queues`
-   New `client_integration_name` request field in these **Users** APIs:
    -   `PATCH /v2/contact_center/users`
    -   `POST /v2/contact_center/users/batch`
    -   `POST /v2/contact_center/users`
    -   `PATCH /v2/contact_center/users/{userId}`
-   New `cc_queue_ids` request field in these **Inboxes** APIs:
    -   `DELETE /v2/contact_center/inboxes/{inboxId}/queues`
    -   `POST /v2/contact_center/inboxes/{inboxId}/queues`
-   New `interval` request field in this **Reports** API:
    -   `GET /v2/contact_center/analytics/historical/queues/metrics`
-   New `channel` request field in these **Queues** APIs:
    -   `POST /v2/contact_center/queues`
    -   `PATCH /v2/contact_center/queues/{queueId}`
-   New `required_skill_ids` request field in this **Reports** API:
    -   `GET /v2/contact_center/analytics/historical/details/metrics`
-   New `client_integration_name` response field in these **Users** APIs:
    -   `POST /v2/contact_center/users/batch`
    -   `GET /v2/contact_center/users/{userId}`
    -   `POST /v2/contact_center/users`
-   New `flow_ids` request field in these **Inboxes** APIs:
    -   `DELETE /v2/contact_center/inboxes/messages`
-   New `overflow_to_cc_queue_id` response field in this **Queues** API:
    -   `GET /v2/contact_center/queues/{queueId}`
-   New `overflow_to_cc_queue_id` field in these webhook events:
    -   `contact_center.queue_deleted`
    -   `contact_center.queue_created`
-   New `transfer_to_cc_queue_id` field in these webhook events:
    -   `contact_center.engagement_transfer_timeout`
    -   `contact_center.engagement_transfer_accepted`
    -   `contact_center.engagement_transfer_reserved`
    -   `contact_center.engagement_transfer_canceled`
    -   `contact_center.engagement_transfer_completed`
    -   `contact_center.engagement_transfer_initiated`
    -   `contact_center.engagement_transfer_rejected`
    -   `contact_center.engagement_transfer_queued`
-   New `cc_queue_id` field in these webhook events:
    -   `contact_center.engagement_upgrade_expired`
    -   `contact_center.task_created`
    -   `contact_center.queue_deleted`
    -   `contact_center.engagement_consumer_ended`
    -   `contact_center.queue_agent_assigned`
    -   `contact_center.task_completed`
    -   `contact_center.task_reservation_created`
    -   `contact_center.queue_supervisor_assigned`
    -   `contact_center.task_canceled`
    -   `contact_center.engagement_monitor_started`
    -   `contact_center.engagement_upgrade_completed`
    -   `contact_center.recording_started`
    -   `contact_center.engagement_monitor_ended`
    -   `contact_center.engagement_note_added`
    -   `contact_center.user_opt_out`
    -   `contact_center.task_reservation_canceled`
    -   `contact_center.engagement_consumer_answered`
    -   `contact_center.queue_created`
    -   `contact_center.recording_transcript_completed`
    -   `contact_center.engagement_transfer_timeout`
    -   `contact_center.user_opt_in`
    -   `contact_center.recording_completed`
    -   `contact_center.engagement_transfer_accepted`
    -   `contact_center.recording_paused`
    -   `contact_center.queue_supervisor_unassigned`
    -   `contact_center.task_entered_queue`
    -   `contact_center.engagement_user_muted`
    -   `contact_center.engagement_transfer_reserved`
    -   `contact_center.engagement_user_unmuted`
    -   `contact_center.engagement_wrap_up_started`
    -   `contact_center.engagement_upgrade_initiated`
    -   `contact_center.task_exited_queue`
    -   `contact_center.task_reservation_rejected`
    -   `contact_center.queue_agent_unassigned`
    -   `contact_center.engagement_transfer_canceled`
    -   `contact_center.engagement_transfer_completed`
    -   `contact_center.engagement_transfer_initiated`
    -   `contact_center.queue_operating_hours_updated`
    -   `contact_center.engagement_takeover_started`
    -   `contact_center.queue_inbound_sla_updated`
    -   `contact_center.voicemail_transcript_completed`
    -   `contact_center.task_reservation_accepted`
    -   `contact_center.engagement_user_dtmf_sent`
    -   `contact_center.engagement_consumer_notified`
    -   `contact_center.engagement_user_unhold`
    -   `contact_center.recording_stopped`
    -   `contact_center.task_deleted`
    -   `contact_center.engagement_wrap_up_ended`
    -   `contact_center.task_reservation_completed`
    -   `contact_center.engagement_user_hold`
    -   `contact_center.engagement_transfer_rejected`
    -   `contact_center.task_updated`
    -   `contact_center.task_reservation_timeout`
    -   `contact_center.recording_resumed`
    -   `contact_center.engagement_user_ended`
    -   `contact_center.engagement_disposition_added`
    -   `contact_center.engagement_user_answered`
    -   `contact_center.engagement_transfer_queued`
